## org.eclipse.jetty.webapp
Class TagLibConfiguration.TldProcessor

    java.lang.Object
      org.eclipse.jetty.webapp.IterativeDescriptorProcessor
          org.eclipse.jetty.webapp.TagLibConfiguration.TldProcessor

All Implemented Interfaces:
  DescriptorProcessor

Enclosing class:
  TagLibConfiguration

    public class TagLibConfiguration.TldProcessor

extends IterativeDescriptorProcessor

TldProcessor Process TldDescriptors representing tag libs to find listeners.

Field Summary
`static String` `TAGLIB_PROCESSOR`

Fields inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`__signature, _visitors`

Constructor Summary
`TagLibConfiguration.TldProcessor()`

Method Summary
`void` `end(WebAppContext context, Descriptor descriptor)`
`void` `start(WebAppContext context, Descriptor descriptor)`
`void` `visitListener(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`

Methods inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`process, registerVisitor, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAGLIB_PROCESSOR

    public static final String TAGLIB_PROCESSOR

See Also:
  Constant Field Values

Constructor Detail

### TagLibConfiguration.TldProcessor

    public TagLibConfiguration.TldProcessor()
                                     throws Exception

Throws:
  `Exception`

Method Detail

### visitListener

    public void visitListener(WebAppContext context,
                              Descriptor descriptor,
                              XmlParser.Node node)

### end

    public void end(WebAppContext context,
                    Descriptor descriptor)

  Specified by:
    `end` in class `IterativeDescriptorProcessor`

### start

    public void start(WebAppContext context,
                      Descriptor descriptor)

  Specified by:
    `start` in class `IterativeDescriptorProcessor`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.